-----------------------------------
-- Convert text to positive integer
-----------------------------------
create or replace function to_pos_int(txt text)
returns integer as $$
declare
  pos_int integer;
begin
  pos_int := coalesce(substring(txt, '([-]?[0-9]{1,19})')::int, 0);
  if pos_int <= 0 then
    pos_int := null;
  end if;
  return pos_int;
end;
$$ language plpgsql IMMUTABLE;
