# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-02-10 20:29
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import osmaxx.conversion.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('clipping_area', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('callback_url', models.URLField(max_length=250, verbose_name='callback url')),
                ('rq_job_id', models.CharField(max_length=250, null=True, verbose_name='rq job id')),
                ('status', models.CharField(choices=[('received', 'received'), ('queued', 'queued'), ('finished', 'finished'), ('failed', 'failed'), ('started', 'started'), ('deferred', 'deferred')], default='received', max_length=20, verbose_name='job status')),
                ('resulting_file', models.FileField(null=True, upload_to=osmaxx.conversion.models.job_directory_path, verbose_name='resulting file')),
                ('own_base_url', models.CharField(help_text='the url from which this job is reachable', max_length=250, verbose_name='own base url')),
            ],
        ),
        migrations.CreateModel(
            name='Parametrization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('out_format', models.CharField(choices=[('garmin', 'Garmin navigation & map data'), ('shapefile', 'ESRI Shapefile'), ('spatialite', 'SpatiaLite'), ('fgdb', 'ESRI File Geodatabase'), ('gpkg', 'GeoPackage')], max_length=100, verbose_name='out format')),
                ('out_srs', models.IntegerField(blank=True, default=4326, help_text='EPSG code of the output spatial reference system', null=True, verbose_name='output SRS')),
                ('clipping_area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='clipping_area.ClippingArea', verbose_name='Clipping Area')),
            ],
        ),
        migrations.AddField(
            model_name='job',
            name='parametrization',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='conversion.Parametrization', verbose_name='parametrization'),
        ),
    ]
