# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-04-27 14:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def set_export_fk_from_extraction_order_and_content_type(apps, schema_editor):
    OutputFile = apps.get_model('excerptexport', 'OutputFile')  # noqa
    for output_file in OutputFile.objects.all():
        output_file.export = output_file.extraction_order.exports.get(file_format=output_file.content_type)
        output_file.save()


def set_extraction_order_fk_and_content_type_from_export(apps, schema_editor):
    OutputFile = apps.get_model('excerptexport', 'OutputFile')  # noqa
    for output_file in OutputFile.objects.all():
        output_file.extraction_order = output_file.export.extraction_order
        output_file.content_type = output_file.export.file_format
        output_file.save()


class Migration(migrations.Migration):

    dependencies = [
        ('excerptexport', '0021_merge'),
    ]

    operations = [
        migrations.AddField(
            model_name='outputfile',
            name='export',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='output_file', to='excerptexport.Export', verbose_name='export'),
        ),
        migrations.RunPython(
            set_export_fk_from_extraction_order_and_content_type,
            set_extraction_order_fk_and_content_type_from_export
        ),
        migrations.AlterField(
            model_name='outputfile',
            name='export',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='output_file', to='excerptexport.Export', verbose_name='export'),
        ),
        migrations.RemoveField(
            model_name='outputfile',
            name='extraction_order',
        ),
        migrations.RemoveField(
            model_name='outputfile',
            name='content_type',
        ),
    ]
